OSSPD(8)

NAME
osspd - OSS Proxy Daemon

SYNOPSIS
osspd [options]

DESCRIPTION
osspd implements the OSS devices (/dev/[a]dsp and /dev/mixer) in userland using CUSE. Sound data is forwarded to a DSP slave: Implementations for PulseAudio and ASLA exist, but the ALSA slave should still be considered experimental.

OPTIONS

--dsp=NAME
    DSP device name (default dsp)

--dsp-maj=MAJ
    DSP device major number (default 14)

--dsp-min=MIN
    DSP device minor number (default 3)

--adsp=NAME
    Aux DSP device name (default adsp, blank to disable)

--adsp-maj=MAJ
    Aux DSP device major number (default 14)

--adsp-min=MIN
    Aux DSP device minor number (default 12)

--mixer=NAME
    mixer device name (default mixer, blank to disable)

--mixer-maj=MAJ
    mixer device major number (default 14)

--mixer-min=MIN
    mixer device minor number (default 0)

--max=MAX
    maximum number of open streams (default 256)

--umax=MAX
    maximum number of open streams per UID (default --max)

--exit-on-idle
    exit if idle

--dsp-slave=PATH
    DSP slave (default ossp-padsp in the same dir)

--log=LEVEL
    log level (0..6)

--timestamp
    timestamp log messages

-v  increase verbosity, can be specified multiple times

-f  Run in foreground (don't daemonize)

SEE ALSO
A more technical documentation describing some of the inner workings can be found at /usr/share/doc/osspd/README.gz.